'''
Created on Nov 13, 2017

@author: florentin
'''
import controller
from domain.Contact import Contact

class UI():
    '''
    folosit pentru interfata cu userul (de tip consola)
    '''


    def __init__(self, controller):
        '''
        Constructor
        '''
        self.__ctrl = controller
    def addContact(self):
        '''
        adauga contactul introdus de user
        '''
        nume = input("Dati numele: ")
        telefon = input("Dati numarul de telefon: ")
        contact = Contact(nume, telefon)
        self.__ctrl.addContact(contact)

    def printAllContacts(self):
        '''
        afisare lista de contacte
        '''
        contacte = self.__ctrl.getAllContacts()
        if len(contacte) == 0:
            print("Lista de contacte este goala!")
        else:
            for contact in contacte:
                print(contact)
    
    def printMenu(self):
        '''
        afiseaza optiunile userului
        '''
        print("1. Adauga contact.")
        print("2. Afiseaza contactele.")
        print("X. Iesire din aplicatie.")
    
    def run(self):
        '''
        ruleaza in bucla meniul pana la iesirea din aplicatie
        '''
        stop = False
        while not stop:
            self.printMenu()
            op = input()
            if op == "1":
                self.addContact()
            elif op == "2":
                self.printAllContacts()
            elif op == "x" or op == "X":
                stop = True
                print("Ati iesit din aplicatie.")
            else:
                print("Operatia este invalida!")
        
        
        
        